CRMchat APIBeta
Telegram APIUpload

upload.getFile

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/upload.getFile

Returns content of a whole file or its part.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns content of a whole file or its part.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/upload.getFile" \  -H "Content-Type: application/json" \  -d '{    "params": {      "location": {        "_": "inputPeerPhotoFileLocationLegacy",        "peer": {          "_": "inputPeerEmpty"        },        "volumeId": "string",        "localId": 0      },      "offset": 0,      "limit": 0    }  }'
{  "result": {    "_": "upload.file",    "type": {      "_": "storage.fileUnknown"    },    "mtime": 0,    "bytes": "string"  }}